2018-02-01 01:33 PM - Lee Han

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/PostGIS
Affected QGIS version:3.4.2

Operating System: windows 7

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 25917

Description

following this : http://oslandia.com/en/2017/10/07/refresh-your-maps-from-postgresql/.

| checked the two boxes in the rendering tab, and used 'refresh qgis' message.

Then in a psql shell, | write listen qgis,
| import a shp in my database,
| write Notify qgis, 'refresh qgis’ ;

All that | get in return is : Asynchronous notification "qgis" with payload "refresh qgis" received from server process with PID 1848

And the canevas is unchanged.
Did | miss something ?

Postgres 9.3 ; qgis 2.99 ; windows 7

History

#1 - 2018-08-27 07:36 AM - Sabin Kolarov

Postgresql 10.3 and QGIS 3.2.2-Bonn.: the bug is still present.

#2 - 2018-08-29 05:19 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.2.2

- Subject changed from no refresh using notify in postgis and qgis 2.99 to no refresh using notify in postgis

#3 - 2018-12-04 09:38 AM - Lee Han
- File Capture.PNG added

Qgis 3.4.2, postgres 9.6, postgis 2.3, windows 7

| followed the same method to get the map refreshed automatically but unsuccessfully.

| tried with an import and an update on a feature this time,

each time | wrote NOTIFY QGIS, 'refresh qgis' in psql,
no change in the map.

#4 - 2018-12-06 09:42 AM - Giovanni Manghi
- Affected QGIS version changed from 3.2.2 to 3.4.2

Files
Capture.PNG 5.33 KB 2018-12-04 Lee Han
2025-04-26 1/1



http://oslandia.com/en/2017/10/07/refresh-your-maps-from-postgresql/

